Subject: Re: [PATCH] myFirstContribition: answering questions is not the end of the story

From: Emily Shaffer <[email-masked]>
Date: Tue, 24 Nov 2020 12:14:19 -0800

On Fri, Nov 20, 2020 at 09:42:16PM +0000, Philip Oakley wrote:
> >  It's good manners to reply to each comment, notifying the reviewer that you have
> > -made the change requested, feel the original is better, or that the comment
> > +made the change suggested, feel the original is better, or that the comment
> >  inspired you to do something a new way which is superior to both the original
> >  and the suggested change. This way reviewers don't need to inspect your v2 to
> >  figure out whether you implemented their comment or not.
> >  
> > +Reviewers may ask you about what you wrote in the patchset, either in
> > +the proposed commit log message or in the changes themselves.  You
> > +should answer these questions in your response messages, but often the
> > +reason why reviewers asked these questions to understand what you meant
> > +to write is because your patchset needed clarification to be understood.
> 
> Perhaps a paragraph break here?
Agreed.

> > +Do not be satisfied by just answering their questions in your response
> > +and hear them say that they now understand what you wanted to say.
> > +Update your patches to clarify the points reviewers had trouble with,
> > +and prepare your v2; the words you used to explain your v1 to answer
> > +reviewers' questions may be useful thing to use.  Your goal is to make
> > +your v2 clear enough so that it becomes unnecessary for you to give the
> > +same explanation to the next person who reads it.

Overall a point I really appreciate having written out here. I think
it's a good addition to this doc.

Reviewed-by: Emily Shaffer <[email-masked]>